Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Cross-Platform Audio Output Library
Name:		libao
Version:   	1.0.0
Release:   	1
Provides:	libao
License: 	GNU/GPL
URL:		http://www.xiph.org/
Group:    	System/Libraries
Source0: 	libao-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: esound-libs-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config
BuildRequires: pulseaudio-libs-devel

%description
Libao is a cross-platform audio output library.  It currently supports
ESD, aRts, ALSA, OSS, *BSD and Solaris.

This package provides plug-ins for OSS, ESD, aRts, and ALSA (0.9).  You will
need to install the supporting libraries for any plug-ins you want to use
in order for them to work.

%package devel
Summary: 	libao development headers.
Group:     	System/Libraries          
Requires: 	libao = %{version}-%{release}

%description devel
Header and include files for developing applications with libao.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn libao-%{version}

%build
./configure --prefix=%_prefix --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/ao/plugins-4
%{_libdir}/libao.so.*   
%{_mandir}/man5/libao.conf.5.gz


%files devel
%defattr(-,root,root)
%_includedir/ao/
%_libdir/libao.la
%_libdir/libao.so
%_libdir/pkgconfig/ao.pc
%{_datadir}/aclocal/ao.m4
%{_datadir}/doc/libao-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Wed Aug 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.8-1
- Version update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.6-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.8.6-1
- Version Update to 0.8.6
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 0.8.5-1
- Initial Release
